AOZ Studio Beta - Bug #298

Bob Col - Numerous issues
03/08/2020 02:19 PM - David Baldwin

Status: Closed Start date: 03/08/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.6.1

Description

Bob Col is now half working but with the following issues found during testing so far:-
Bob Col (A,B to C) returns a '1' instead of -1' when a collision is detected.
Bob Col (A,B to C) causes a runtime crash with internal error if Bob A is rotated with the following reported in console.

yHotspothard is not defined

a0z.js:418 ReferenceError: yHotspothard is not defined
at Bob.updateCollisionData (bob.js:244)

at vi_0_collisions.bobCol (v1_0_collisions.js:110)

at Application.blocks. (application.js:430)

at doUpdate (aoz.js:405)

a0z.js:763 Internal error at line: 94, column: 13.
a0z.js:766 Program ended.

Bol Col (A,B to C) collision accuracy is a bit crappy, like it's triggering on Bob boundary contact rather than pixel contact. Will this
improve with new renderer?

History

#1 - 03/13/2020 10:10 PM - David Baldwin

- Status changed from New to Closed
